CS::Animation::BVHMocapParser Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Animation::BVHMocapParser Class Reference

Tool for parsing BVH (BioVision Hierarchical data) motion capture ressource files. More...

`#include <cstool/mocapparser.h>`

Inheritance diagram for CS::Animation::BVHMocapParser:

List of all members.

## Public Member Functions
| BVHMocapParser (iObjectRegistry *object_reg)
| Constructor.
virtual MocapParserResult | ParseData ()
| Parse the file containing the motion capture data.
virtual void | SetAnimationName (const char *name)
| Set the name of the animation that will be created.
virtual void | SetEndFrame (size_t frame)
| Set the frame where to stop importing the animation data.
virtual void | SetEndSitesAdded (bool added)
| Set whether or not the "EndSite" leaf bones of the skeleton must be added.
virtual void | SetGlobalScale (float scale)
| Set the global scale to be applied on all dimensions.
virtual void | SetPacketName (const char *name)
| Set the name of the animation packet that will be created.
virtual bool | SetRessourceFile (const char *filename)
| Set the VFS path of the ressource file containing the motion capture data.
virtual void | SetSkeletonName (const char *name)
| Set the name of the skeleton that will be created.
virtual void | SetStartFrame (size_t frame)
| Set the frame where to start importing the animation data.

## Detailed Description

Tool for parsing BVH (BioVision Hierarchical data) motion capture ressource files.

Definition at line 125 of file mocapparser.h.

## Constructor & Destructor Documentation

CS::Animation::BVHMocapParser::BVHMocapParser | ( | iObjectRegistry * | object_reg | ) |

Constructor.

## Member Function Documentation

virtual MocapParserResult CS::Animation::BVHMocapParser::ParseData | ( |  | ) | `[virtual]`

Parse the file containing the motion capture data.

Implements CS::Animation::MocapParser.

virtual void CS::Animation::BVHMocapParser::SetAnimationName | ( | const char * | name | ) | `[virtual]`

Set the name of the animation that will be created.

The default value is the name of the ressource file plus "_anim".

Implements CS::Animation::MocapParser.

virtual void CS::Animation::BVHMocapParser::SetEndFrame | ( | size_t | frame | ) | `[virtual]`

Set the frame where to stop importing the animation data.

A value of 0 means that all the animations until the end of the ressource file have to be imported. The default value is 0.

Implements CS::Animation::MocapParser.

virtual void CS::Animation::BVHMocapParser::SetEndSitesAdded | ( | bool | added | ) | `[virtual]`

Set whether or not the "EndSite" leaf bones of the skeleton must be added.

This can be useful in order to have some information on the orientation of the last bone. The default value is true.

virtual void CS::Animation::BVHMocapParser::SetGlobalScale | ( | float | scale | ) | `[virtual]`

Set the global scale to be applied on all dimensions.

The default value is 0.01.

Implements CS::Animation::MocapParser.

virtual void CS::Animation::BVHMocapParser::SetPacketName | ( | const char * | name | ) | `[virtual]`

Set the name of the animation packet that will be created.

The default value is the name of the ressource file plus "_packet".

Implements CS::Animation::MocapParser.

virtual bool CS::Animation::BVHMocapParser::SetRessourceFile | ( | const char * | filename | ) | `[virtual]`

Set the VFS path of the ressource file containing the motion capture data.

For the BVH file format there may be only one ressource file at a time.

Implements CS::Animation::MocapParser.

virtual void CS::Animation::BVHMocapParser::SetSkeletonName | ( | const char * | name | ) | `[virtual]`

Set the name of the skeleton that will be created.

The default value is the name of the ressource file plus "_skel".

Implements CS::Animation::MocapParser.

virtual void CS::Animation::BVHMocapParser::SetStartFrame | ( | size_t | frame | ) | `[virtual]`

Set the frame where to start importing the animation data.

The default value is 0.

Implements CS::Animation::MocapParser.

The documentation for this class was generated from the following file:

- cstool/mocapparser.h